<?php 
require_once "../modelos/Devolucioningreso.php";
if (strlen(session_id())<1) 
	session_start();

$devolucion 				= new Devolucioningreso();

$idingreso					=isset($_POST["idingreso"])? limpiarCadena($_POST["idingreso"]):"";
$idcliente					=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idtransportista		=isset($_POST["idtransportista"])? limpiarCadena($_POST["idtransportista"]):"";
$idusuario					=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$fecha_hora					=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto						=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta				=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$iddetallec					=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idpedidoc					=isset($_POST["idpedidoc"])? limpiarCadena($_POST["idpedidoc"]):"";
$idarticuloc				=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar				=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idventa)) {
			$rspta=$devolucion ->insertar($idcliente,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,
			$fecha_hora,$impuesto,$total_venta,$idtransportista,$tasa_dollar,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["precio_ventapvp"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$devolucion ->anular($idingreso,$idusuario);
		echo $rspta ? "Documento anulado correctamente" : "No se pudo anular la factura";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$devolucion ->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$devolucion ->mostrar($idventa);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idventa
		$id=$_GET['id'];

		$rspta=$devolucion ->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Descuento</th>
		<th>ImpArt18</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_venta,2,',','.').'</td>
			<td>'.number_format($reg->descuento,2,',','.').'</td>
			<td>'.number_format($reg->impuestoart18,2,',','.').'</td>
			<td>'.number_format($reg->subtotal,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

    case 'listar':
		$rspta=$devolucion ->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
                 if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='NotaEntrega') {
					$url='reportes/FacturaNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='reportes/FacturaNew.php?id=';
                 }

			$data[]=array(
            "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idventa.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>').
            '<a target="_blank" href="'.$url.$reg->idventa.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
            "6"=>number_format($reg->total_venta,2,',','.'),
            "7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();

		$rspta = $transportista->listar();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVenta();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		$almacen	='N/A';
		$nrolote	='N/A';
		$fechalote	='N/A';
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>